PShape shape;
float scale = 1;
PVector dir = new PVector();

void setup() {
  size(800, 800);
  shape = loadShape("01.svg");
  shape.disableStyle();
  background(0);
  colorMode(HSB);
}
void draw() {

  int x = mouseX;
  int y = mouseY;
  int px = pmouseX;
  int py = pmouseY;
  
  dir.set(x - px, y - py);
  
  float dist = dir.mag();
  float heading = dir.heading();
  
  float newScale = map(dist, 0, 200, 0.1, 5);
  scale = 0.9 * scale + 0.1 * newScale;
  
  translate(x, y);
  rotate(heading);
  scale(0.2, scale);
  
  float col = map(dist, 0, 75, 0, 255) % 255;
  
  noFill();
  stroke(col, 255, 255);
  strokeWeight(2);
  
  if (mousePressed) {
    shape(shape);
  }
}

void keyTyped() {
  if (key == 's' || key == 'S') {
    saveFrame("export/export#####.png");
  }
}